﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace GridAndDataGridCodedUITests
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new MainVM();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Window1 win = new Window1 { DataContext = new MainVM() };
            win.ShowDialog();
        }
    }

    public class MainVM
    {
        public MainVM()
        {
            DataSource = new List<Data>
            {
                new Data { ID = 1, Name = "Item 1" },
                new Data { ID = 2, Name = "Item 2" },
                new Data { ID = 3, Name = "Item 3" },
            };
        }

        public List<Data> DataSource { get; set; }
    }

    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
